Bug 114288 - 2 * expression must be a modifiable lvalue
2 * expression must be a modifiable lvalue
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gnumeric (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-26 05:42 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-30 17:07:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2004-01-26 05:42:28 EST
Description of problem:

I just tried to compile package gnumeric-1.2.1-1 from Redhat
Fedora Core 1.

The compiler said

1.

sheet-autofill.c(704): error #137: expression must be a modifiable lvalue
                                        func->array.cols = limit_x;
                                        ^

The source code is

	func->array.cols = limit_x;

but earlier in the code is

                GnmExpr const *func;

so what func is pointing at can't be written to. Suggest code re-work.

2.

sheet-autofill.c(712): error #137: expression must be a modifiable lvalue

Duplicate.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Caolan McNamara 2004-04-30 17:07:52 EDT
Yeah: That's fixed in 1.2.8 as in Fedora Core 2,
(http://cvs.gnome.org/viewcvs/gnumeric/src/sheet-autofill.c?r1=1.108&r2=1.108.2.1)

Note You need to log in before you can comment on or make changes to this bug.